TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Idempotents ( elt-ids^int/ord^num I, elt-ids^int/ord^num J ) -> elt-alg^boo, elt-ord^num, elt-ord^num

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3

### Description

<shortdoc> For coprime ideals I and J, find i in I, j in J such that i+j = 1.. </shortdoc>

### Examples

x_o := MaximalOrder(X^3 -299*X -2403); x_a := 3*x_o+Coerce(x_o,[-5,-5,7])*x_o; x_b := 2*x_o+Coerce(x_o,[1,0,0])*x_o;Idempotents(x_a,x_b);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack